import {request} from '../utils/request'

// 获取用户详细信息
export function getUserInfo() {
	return request({
		url: '/wxApi/publics/user/info',
		method: 'get'
	})
}

// 查询用户菜单信息
export function selectRoleMenuList(data) {
	return request({
		url: '/wxApi/publics/v1/selectRoleMenuList',
		method: 'get',
		data: data
	})
}

// 查询用户待办信息
export function findMyTask(data) {
	return request({
		url: '/wxApi/flowTask/myAwaitFlowTaskListCount',
		method: 'post',
		data:data
	})
}

// 查询用户部门信息
export function findMyDeptList(){
	return request({
		url: '/wxApi/publics/v1/findMyDeptList',
		method: 'get'
	})
}

// 查询用户项目信息
export function findMyProjectList(){
	return request({
		url: '/wxApi/publics/v1/findMyProjectList',
		method: 'get'
	})
}

// 查询部门资产列表信息
export function findAllByCategory(category){
	return request({
		url: '/wxApi/publics/v1/findAllByCategory/'+category,
		method: 'get'
	})
}

// 获取项目申请详细信息
export function findProjectApplyData(id){
	return request({
		url: '/wxApi/publics/projectApply/'+id,
		method: 'get'
	})
}